### Hierarchy

- StateService

## Index

### Constructors

- constructor

### Properties

- _type

### Accessors

- type
- instance

## Constructors

### constructor

- new StateService(enforcer: any): StateService

- - Defined in rx/redux/state-service.ts:7

  #### Parameters

  - ##### enforcer: any

  #### Returns StateService

## Properties

### _type

_type: string

- Defined in rx/redux/state-service.ts:7

## Accessors

### type

- get type(): string
- set type(value: string): void

- - Defined in rx/redux/state-service.ts:33

  #### Returns string

- - Defined in rx/redux/state-service.ts:37

  #### Parameters

  - ##### value: string

  #### Returns void

### Static instance

- get instance(): any

- - Defined in rx/redux/state-service.ts:18

  #### Returns any